When I upgraded WebStorm to 2017.2 and Ionic plugin to 3.5.0, it seems not support my Ionic v1 project any more.

The whole `www` folder are in gray in the project tree pane on left side of the IDE. 

All the keywords in `.js` script files are not grammatically colored any more. 

So are the `.html` template files. Even the `<ion-content>`, `<ion-list>` directives can't be identified. 

It seems not support Ionic v1 any more. How can I fix this?

9 comments
Comment actions Permalink

Thank you very much! But I can't open the link in my country. Can you copy some content of it for me so I can read it? @ElenaPogorelova

0
Comment actions Permalink

Here you are:

"as a workaround you can uncheck the option 'File | Settings | Languages & Frameworks | JavaScript | PhoneGap/Cordova' -> "Automatically exclude 'platforms' directory"."

 

0
Comment actions Permalink

Thank you! I did so, but the problem remains the same. It's not solved. :-(

Dear Elena, it's so kind of you. How can I contact you? Can I have your email address?

0
Comment actions Permalink

I prefer not to publish my email here, sorry:( You can create a support ticket. For example, choose 'Create a ticket' action from the actions list available on pressing Gear button in the upper right corner of your message

0
Comment actions Permalink

OK, thank you very much.

0
Comment actions Permalink

I can't find the "Create a ticket" action, only having one action available in the list. :-(

0
Comment actions Permalink

OK, thank you. I have submitted a request.

 

0

Please sign in to leave a comment.